# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'wildsight/version'

Gem::Specification.new do |spec|
  spec.name          = 'wildsight'
  spec.version       = Wildsight::VERSION
  spec.authors       = ['Marek Jelen', 'Filip Zachar']
  spec.email         = ['marek@jelen.biz', 'tulak45@gmail.com']

  spec.summary       = 'Multi language/framework/platform error and statistics monitor'
  spec.description   = 'Get complete insight into your applications across technologies'
  spec.homepage      = 'https://gitlab.com/wildsight/ruby-instrumentation'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'multi_json'

  spec.add_development_dependency 'rails', '5.0.0.rc1'

  spec.add_development_dependency 'bundler', '~> 1.11'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'minitest', '~> 5.0'
end
